Package tigase.cert

## Enum CertCheckResult

- java.lang.Object
- - java.lang.Enum<CertCheckResult>
  - - tigase.cert.CertCheckResult

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CertCheckResult>`

      public enum CertCheckResult
      extends java.lang.Enum<CertCheckResult>

  Created: Oct 29, 2010 3:39:59 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `expired` |
    `invalid` |
    `none` |
    `revoked` |
    `self_signed` |
    `trusted` |
    `untrusted` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CertCheckResult` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CertCheckResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### trusted

          public static final CertCheckResult trusted

    - #### self_signed

          public static final CertCheckResult self_signed

    - #### untrusted

          public static final CertCheckResult untrusted

    - #### revoked

          public static final CertCheckResult revoked

    - #### expired

          public static final CertCheckResult expired

    - #### invalid

          public static final CertCheckResult invalid

    - #### none

          public static final CertCheckResult none

  - ### Method Detail

    - #### values

          public static CertCheckResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertCheckResult c : CertCheckResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertCheckResult valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null